Bug 4759 - Support for keys such as Escape, Tab, Control, Alt on mobile devices
Summary: Support for keys such as Escape, Tab, Control, Alt on mobile devices
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Web Access (show other bugs)
Target Milestone: 4.1.1
Assignee: Samuel Mannehed
URL:
Keywords: aaron_tester, relnotes
Depends on:
Blocks:
 
Reported: 2013-07-22 15:36 CEST by Peter Åstrand
Modified: 2013-10-24 11:15 CEST (History)
1 user (show)

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2013-07-22 15:36:01 CEST
From:

http://lists.cendio.se/pipermail/thinlinc-technical/2013-July/000351.html

"Is there a plan to integrate the tab key, cursor keys, esc, etc. also in 
this HTML5 client as it is integrated in ssh tools like iSSH 
(http://www.zinger-soft.com/iSSH_features.html)?"

Also, I tested with our physical Target Bluetooth keyboard today. It doesn't work either, except for the Tab key. 

At least on the iPad, there's plenty of room in the control bar for extra buttons, so we should be able to implement this.
Comment 1 Samuel Mannehed cendio 2013-07-25 16:35:32 CEST
Fixed in revision 27730.
Comment 2 Samuel Mannehed cendio 2013-08-29 17:49:32 CEST
Updated in revision 27817.
Comment 3 Samuel Mannehed cendio 2013-08-30 16:13:46 CEST
Additional update in revision 27819.
Comment 4 Aaron Sowry cendio 2013-10-15 16:13:57 CEST
CTRL, ALT, TAB and ESC all work fine using the GUI buttons. I think this is good enough to close the bug.

Perhaps worth noting is that none of these keys (except tab) work with an attached bluetooth keyboard on the iPad. xev gives no output, so I guess they're being captured/ignored by iOS. Pressing ESC exits to iOS's main menu screen for example. I'm not sure there's much we can do about this ATM, so closing.

Note You need to log in before you can comment on or make changes to this bug.